TOPDIR="$TS_TOPDIR"

# Misc settings
TS_TESTUSER=${TS_TESTUSER:-"test"}

# helpers
TS_HELPER_SYSINFO="$TS_TOPDIR/helpers/test_sysinfo"
TS_HELPER_PATHS="$TS_TOPDIR/helpers/test_pathnames"
TS_HELPER_BYTESWAP="$TS_TOPDIR/helpers/test_byteswap"
TS_HELPER_MD5="$TS_TOPDIR/helpers/test_md5"

TS_HELPER_ISMOUNTED="$TOPDIR/lib/test_ismounted"

# external commands
TS_ECMD_BLKID=${TS_ECMD_BLKID:-"$TOPDIR/blkid"}
TS_ECMD_VOLID="@VOLID@"

# paths to commands
TS_CMD_MOUNT=${TS_CMD_MOUNT:-"$TOPDIR/mount"}
TS_CMD_UMOUNT=${TS_CMD_UMOUNT:-"$TOPDIR/umount"}
TS_CMD_SWAPON=${TS_CMD_SWAPON:-"$TOPDIR/swapon"}
TS_CMD_SWAPOFF=${TS_CMD_SWAPOFF:-"$TOPDIR/swapoff"}
TS_CMD_LOSETUP=${TS_CMD_LOSETUP:-"$TOPDIR/losetup"}

TS_CMD_MTABLOCK=${TS_CMD_MTABLOCK:-"$TOPDIR/mount/mtab_lock_test"}

TS_CMD_MKSWAP=${TS_CMD_MKSWAP:-"$TOPDIR/disk-utils/mkswap"}
TS_CMD_MKCRAMFS=${TS_CMD_MKCRAMFS:-"$TOPDIR/disk-utils/mkfs.cramfs"}
TS_CMD_MKMINIX=${TS_CMD_MKMINIX:-"$TOPDIR/disk-utils/mkfs.minix"}
TS_CMD_FSCKCRAMFS=${TS_CMD_FSCKCRAMFS:-"$TOPDIR/disk-utils/fsck.cramfs"}
TS_CMD_FSCKMINIX=${TS_CMD_FSCKMINIX:-"$TOPDIR/disk-utils/fsck.minix"}

TS_CMD_IPCS=${TS_CMD_IPCS:-"$TOPDIR/sys-utils/ipcs"}

TS_CMD_COL=${TS_CMD_COL:-"$TOPDIR/text-utils/col"}

TS_CMD_NAMEI=${TS_CMD_NAMEI-"$TOPDIR/misc-utils/namei"}
TS_CMD_LOOK=${TS_CMD_LOOK-"$TOPDIR/misc-utils/look"}
TS_CMD_CAL=${TS_CMD_CAL-"$TOPDIR/misc-utils/cal"}
TS_CMD_SCRIPT=${TS_CMD_SCRIPT-"$TOPDIR/misc-utils/script"}

TS_CMD_CHECKTTY=${TS_CMD_CHECKTTY-"$TOPDIR/login-utils/checktty_test"}
TS_CMD_ISLOCAL=${TS_CMD_ISLOCAL-"$TOPDIR/login-utils/islocal_test"}

TS_CMD_HWCLOCK=${TS_CMD_HWCLOCK-"$TOPDIR/hwclock/hwclock"}
TS_CMD_LSCPU=${TS_CMD_LSCPU-"$TOPDIR/sys-utils/lscpu"}

TS_CMD_BLKID=${TS_CMD_BLKID-"$TOPDIR/blkid"}

TS_CMD_FDISK=${TS_CMD_FDISK-"$TOPDIR/fdisk/fdisk"}
